Subject: Re: [PATCH 52/60] microblaze_v4: fcntl.h sockios.h ucontext.h

From: Arnd Bergmann <[email-masked]>
Date: Thu, 26 Jun 2008 17:43:09 +0200

On Thursday 26 June 2008, [email-masked] wrote:
> =A0include/asm-generic/sockios.h =A0 =A0 | =A0 23 +++++++++++++++++++++++
> =A0include/asm-generic/ucontext.h =A0 =A0| =A0 24 ++++++++++++++++++++++++
> =A0include/asm-microblaze/fcntl.h =A0 =A0| =A0 =A01 +
> =A0include/asm-microblaze/sockios.h =A0| =A0 23 +++++++++++++++++++++++
> =A0include/asm-microblaze/ucontext.h | =A0 =A01 +

The grouping of files seems rather arbitrary here. What would be really
good here is if you had all the new asm-generic files as separate patches,
i.e. as a series adding them independent of the microblaze patches so
that the other arch maintainers could look at them and start using
the same files, and then add all your trivial wrappers in a single
patch.

Also, the sockios file here looks like it should be in asm-generic.

The contents of the files in this patch all look good, they are
identical to the majority of the other architectures.

	Arnd <><